Get the job handle for the running task

- « GearmanClient::doHighBackground

- GearmanClient::doLow »

- PHP Manual
- GearmanClient
- Get the job handle for the running task

# GearmanClient::doJobHandle

(PECL gearman >= 0.5.0)

GearmanClient::doJobHandle — Get the job handle for the running task

### Description

public GearmanClient::doJobHandle(): string

Gets that job handle for a running task. This should be used between repeated GearmanClient::doNormal() calls. The job handle can then be used to get information on the task.

### Parameters

This function has no parameters.

### Return Values

The job handle for the running task.

### See Also

- GearmanClient::jobStatus() - Get the status of a background job